0
$\begingroup$

I'm running the Python template operator_modal_draw.py in Blender 2.80 and I am getting this error in the Console:

AttributeError: module 'bgl' has no attribute 'glColor4f'

Is this problem just for me running on Windows? Is there anything I can do to fix this? Thank you.

$\endgroup$
  • 1
    $\begingroup$ Blender 2.80 change some Python script API, and one of them is the bgl module. Some attributes has been depleted, you need to find what is the alternate solution for that code component. $\endgroup$ – Hikariztw May 18 at 4:18
  • $\begingroup$ And it's not an attribute but a function $\endgroup$ – Lukasz-40sth May 18 at 7:08
0
$\begingroup$

While 2.80 is still under active development, not all of the templates included with blender have been updated with the changes needed to work with 2.80.

With the last of the python API changes about to be finalised any day, these remaining templates should get updated soon.

This post might help get you started with the bgl changes.

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.